From b048ad4144607cad258e4193235abeb3930ffcab Mon Sep 17 00:00:00 2001
From: Gilles Dartiguelongue <eva@gentoo.org>
Date: Sun, 11 Jan 2015 20:51:55 +0100
Subject: [PATCH 5/5] Fix theme compatibility with Gnome 3.14

from Fedora/Arch

https://github.com/linuxmint/Cinnamon/issues/3577
---
 data/theme/cinnamon.css                              | 3 ++-
 files/usr/lib/cinnamon-settings/modules/cs_themes.py | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/data/theme/cinnamon.css b/data/theme/cinnamon.css
index 9539586..d931b86 100644
--- a/data/theme/cinnamon.css
+++ b/data/theme/cinnamon.css
@@ -1444,7 +1444,8 @@ StScrollBar StButton#vhandle:hover {
 }
 .applet-box:hover .applet-icon {
 	color: #fff;
-	icon-shadow: white 0px 0px 3px;
+/* Broken with GNOME 3.14 (icon-size is not honoured)
+ *	icon-shadow: white 0px 0px 3px;*/
 }
 
 /* ===================================================================
diff --git a/files/usr/lib/cinnamon-settings/modules/cs_themes.py b/files/usr/lib/cinnamon-settings/modules/cs_themes.py
index 3002499..ab8b0b3 100644
--- a/files/usr/lib/cinnamon-settings/modules/cs_themes.py
+++ b/files/usr/lib/cinnamon-settings/modules/cs_themes.py
@@ -244,7 +244,7 @@ class Module:
     
     def _load_icon_themes(self):
         dirs = ("/usr/share/icons", os.path.join(os.path.expanduser("~"), ".icons"))
-        valid = walk_directories(dirs, lambda d: os.path.isdir(d) and not os.path.exists(os.path.join(d, "cursors")) and os.path.exists(os.path.join(d, "index.theme")))
+        valid = walk_directories(dirs, lambda d: os.path.isdir(d) and os.path.exists(os.path.join(d, "index.theme")))
         valid.sort(lambda a,b: cmp(a.lower(), b.lower()))
         res = []
         for i in valid:
-- 
2.2.1

